|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QDBusVariant Class Reference
[QtDBus module]

The QDBusVariant class enables the programmer to identify the variant type provided by the D-BUS typesystem. More...

     #include <QDBusVariant>

Inherits QVariant (private).

This class was introduced in Qt 4.2.

- List of all members, including inherited members

### Public Functions

- QDBusVariant ()
- QDBusVariant ( const QVariant & variant )
- void setVariant ( const QVariant & variant )
- QVariant variant () const

- 41 public functions inherited from QVariant

### Additional Inherited Members

- 3 static public members inherited from QVariant

## Detailed Description

The QDBusVariant class enables the programmer to identify the variant type provided by the D-BUS typesystem.

See also The QtDBus type system.

## Member Function Documentation

### QDBusVariant::QDBusVariant ()

Constructs a new variant.

### QDBusVariant::QDBusVariant ( const QVariant & variant )

Constructs a new variant from the given variant.

See also setVariant().

### void QDBusVariant::setVariant ( const QVariant & variant )

Assigns the value of the given variant to this variant.

See also variant().

### QVariant QDBusVariant::variant () const

Returns this variant as a QVariant object.

See also setVariant().